Update a note

Update an existing CRM note''s text content and its associations with contacts, companies, or deals. You can modify the note text, change the pinned status, or update the linked entities.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired
Note ID to update

Request

Note data to update a note.
textstringRequired1-10000 characters

Content of the note. Supports HTML for rich text formatting. Supported tags include: <p> (paragraph), <b> / <strong> (bold), <i> / <em> (italic), <u> (underline), <br /> (line break), <a href="..."> (labelled hyperlink). Example labelled link: <a href="https://example.com">Link text</a>.

companyIdslist of stringsOptional
Company Ids linked to a note
contactIdslist of integersOptional
Contact Ids linked to a note
dealIdslist of stringsOptional
Deal Ids linked to a note

Errors

400
Bad Request Error
404
Not Found Error
415
Unsupported Media Type Error